#!/bin/bash

source cascade-make/lib/cascade-lib.bash GEXT_MUSICIR . $*

if [ -z "$JAVA_HOME" ] ; then
  echo "Testing for Java compiler ..."
  javac -version
  if [ $? != "0" ] ; then
    echo "Failed to find 'javac'"
    exit -1
  fi
fi

if [ ! -e $GEXT_MUSICIR_INSTALLED ] ; then
  echo "Creating $GEXT_MUSICIR_INSTALLED for installed files"
  mkdir $GEXT_MUSICIR_INSTALLED
fi

if [ ! -e "$GEXT_MUSICIR_LIBJAVA" ] ; then
  echo "Creating $GEXT_MUSICIR_LIBJAVA for Java lib and jar files"
  mkdir -p "$GEXT_MUSICIR_LIBJAVA" 
fi


dirlist="build-srcpack"

for d in $dirlist ; do
  echo "Running $d/CASCADE-MAKE.sh $*"

  (cd $d ; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "Error encountered running $d/CASCADE-MAKE.sh"
    exit 1
  fi
done


if [ $install = "1" ] ; then

  if [ ! -f lib/java/SampleJAudioBatchFile.xml.in ] ; then
    echo "Installing SampleJAudioBatchFile.xml.in in lib/java"
    /bin/cp SampleJAudioBatchFile.xml.in lib/java/.
  fi

  cat README.txt
fi
